%define upstream_name    STD
%define upstream_version 20101111

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::ShareDir\\)$
# Remove private packages 
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(mangle.pl|STD_P5|STD_P6|RE_ast|STD::Cursor\\)$

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    The Standard Perl 6 Grammar
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
# Remove /usr/bin/env from shebang
Patch0:         STD-20101111-Remove-usr-bin-env-from-shebang.patch
# Enable loading objects from YAML documents, bug #1799856, CPAN RT#132275
Patch1:         STD-20101111-Enable-loading-objects-from-YAML-documents.patch

BuildRequires: perl(File::ShareDir)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(YAML::XS)

BuildArch: noarch

Provides:       perl(STD) = %{version}

%description
%{summary}.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
%patch1 -p1

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot}

%check
./Build test

%files
%doc META.yml LICENSE
%{_bindir}/*
%{_mandir}/man1/*
%perl_vendorlib/*


%changelog
* Wed Apr 29 2020 tv <tv> 20101111.0.0-14.mga8
+ Revision: 1573064
- versionnate perl(STD) provides
- fix build: Remove /usr/bin/env from shebang
- Enable loading objects from YAML documents (rhbz#1799856, CPAN RT#132275)
  thus fixing perl-Syntax-Highlight-Perl6 FTBFS policy

* Sat Feb 15 2020 umeabot <umeabot> 20101111.0.0-13.mga8
+ Revision: 1523820
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 20101111.0.0-12.mga7
+ Revision: 1374808
- fix summary+desc

* Wed Sep 19 2018 umeabot <umeabot> 20101111.0.0-11.mga7
+ Revision: 1271225
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 20101111.0.0-10.mga6
+ Revision: 1033345
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 20101111.0.0-9.mga6
+ Revision: 935642
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20101111.0.0-8.mga5
+ Revision: 743510
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 20101111.0.0-7.mga5
+ Revision: 725867
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 20101111.0.0-6.mga5
+ Revision: 686150
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 20101111.0.0-5.mga4
+ Revision: 514550
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 20101111.0.0-4.mga3
+ Revision: 372443
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 20101111.0.0-3.mga1
+ Revision: 40206
- adding a provides:

* Wed Jan 26 2011 jquelin <jquelin> 20101111.0.0-2.mga1
+ Revision: 40133
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 20101111.0.0-1.mga1
+ Revision: 32377
- mageia rebuild
- imported package perl-STD

